<?php
$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_2aef71f" . "103069bd" . "b72b57d0" . "b3bd1d29" . "4" => base64_decode("Q2Fubm90IGRpc3BsYXkgY29tbWVudHMgLSBwYWdl" . "IG5vdCBpZGVudGlmaWVk"), "page_" . "id" => base64_decode("cGFnZV9pZA" . "=="), "_1a6a10bd09998a" . "d0ae2a2b4e0fd96" . "6e8" => base64_decode("U0NSSVBUX1VS" . "SQ=="), "_69c6236c927bc93c5d062074967d83" . "4d" => base64_decode("cGFnZV92ZXJzaW9" . "u"));
class PublishCommentsComponent extends ClaCommentsComponent
{
    public function Show($attributes)
    {
        $_b2e2301cda45361416cebc466d340194 = PublishBrowser::Instance();
        $page_id = $_b2e2301cda45361416cebc466d340194->GetPageIdByUrl($_SERVER[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_1a6a10bd09998ad0ae2a2b4e0fd" . "966e8"]]);
        if ($page_id < 0) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_2aef71f103069bdb72b57d0b3" . "bd1d294"];
        }
        $attributes[$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["pag" . "e_i" . "d"]] = $page_id;
        return parent::Show($attributes);
    }
    public function GetCommentsObject($attributes)
    {
        $comments = new PublishComments($attributes[$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["pa" . "ge" . "_i" . "d"]], $attributes[$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_69c6236c927bc93c5d06" . "2074967d834d"]]);
        return $comments;
    }
}